declare const _default: {
    framework: string;
    templates: {
        bootstrap5: {
            webform: {
                form: string;
                builder: string;
            };
            well: {
                form: string;
            };
            wizard: {
                form: string;
                builder: string;
            };
            wizardHeader: {
                form: string;
            };
            wizardHeaderClassic: {
                form: string;
            };
            wizardHeaderVertical: {
                form: string;
            };
            wizardNav: {
                form: string;
            };
            errorsList: {
                form: string;
            };
            alert: {
                form: string;
            };
            treeView: {
                form: string;
            };
            treeEdit: {
                form: string;
            };
            transform(type: any, text: any, instance: any): any;
            defaultIconset: string;
            iconClass: (iconset: any, name: any, spinning: any) => string;
            cssClasses: {
                'border-default': string;
                'formio-tab-panel-active': string;
                'formio-tab-link-active': string;
                'formio-tab-link-container-active': string;
                'formio-form-error': string;
                'formio-form-alert': string;
                'formio-label-error': string;
                'formio-input-error': string;
                'formio-alert-danger': string;
                'formio-alert-success': string;
                'formio-alert-warning': string;
                'formio-modal-cancel-button': string;
                'formio-modal-confirm-button': string;
                'form-group': string;
            };
            address: {
                form: string;
                html: string;
            };
            builder: {
                form: string;
            };
            builderComponent: {
                form: string;
            };
            builderComponents: {
                form: string;
            };
            builderEditForm: {
                form: string;
            };
            builderPlaceholder: {
                form: string;
            };
            builderSidebar: {
                form: string;
            };
            builderSidebarGroup: {
                form: string;
            };
            builderWizard: {
                form: string;
            };
            button: {
                form: string;
                html: string;
            };
            checkbox: {
                form: string;
                html: string;
            };
            columns: {
                form: string;
            };
            component: {
                form: string;
            };
            componentModal: {
                form: string;
            };
            components: {
                form: string;
            };
            tableComponents: {
                form: string;
            };
            container: {
                form: string;
            };
            datagrid: {
                form: string;
                html: string;
            };
            day: {
                form: string;
            };
            dialog: {
                form: string;
            };
            editgrid: {
                form: string;
                html: string;
            };
            editgridTable: {
                form: string;
                html: string;
            };
            field: {
                form: string;
                align: string;
            };
            fieldset: {
                form: string;
            };
            file: {
                form: string;
            };
            html: {
                form: string;
            };
            icon: {
                form: string;
            };
            input: {
                form: string;
                html: string;
            };
            label: {
                form: string;
            };
            loader: {
                form: string;
            };
            loading: {
                form: string;
            };
            map: {
                form: string;
            };
            message: {
                form: string;
            };
            modaledit: {
                form: string;
            };
            modaldialog: {
                form: string;
            };
            modalPreview: {
                form: string;
            };
            multipleMasksInput: {
                form: string;
            };
            multiValueRow: {
                form: string;
            };
            multiValueTable: {
                form: string;
            };
            panel: {
                form: string;
            };
            pdf: {
                form: string;
            };
            pdfBuilder: {
                form: string;
            };
            pdfBuilderUpload: {
                form: string;
            };
            radio: {
                form: string;
                html: string;
            };
            resourceAdd: {
                form: string;
            };
            select: {
                form: string;
                html: string;
            };
            selectOption: {
                form: string;
                html: string;
            };
            signature: {
                form: string;
                html: string;
            };
            survey: {
                form: string;
                html: string;
            };
            tab: {
                flat: string;
                form: string;
            };
            table: {
                form: string;
            };
            tree: {
                form: string;
            };
        };
    };
    translations: {
        en: {
            edit: string;
            remove: string;
            addAnother: string;
            next: string;
            previous: string;
            cancel: string;
            loading: string;
            help: string;
            component: string;
            save: string;
            preview: string;
            dragAndDropComponent: string;
            searchFields: string;
            noMatchesFound: string;
            fileName: string;
            size: string;
            type: string;
            gallery: string;
            camera: string;
            dropFilesToAttach: string;
            useCamera: string;
            browse: string;
            takePicture: string;
            switchToFileUpload: string;
            completeStatus: string;
            noStorageSet: string;
            noFileApiSupport: string;
            noFormDataSupport: string;
            noProgressSupport: string;
            close: string;
            addResource: string;
            autocomplete: string;
            showPreview: string;
            hidePreview: string;
            createPage: string;
            page: string;
            closeBtnDescription: string;
            cancelBtnDescription: string;
            saveBtnDescription: string;
            addOrRemove: string;
            anyFileTypesAllowed: string;
            allowedFileTypes: string;
            syncing: string;
            syncNow: string;
            pressToOpen: string;
            browseToAttachFileFor: string;
            or: string;
            numericOnly: string;
            uploadPdfFile: string;
            dropToStart: string;
            expand: string;
            collapse: string;
            add: string;
            delete: string;
            revert: string;
            removeBtnPressToRemove: string;
            file: string;
            captureVideo: string;
            captureAudio: string;
            captureImage: string;
            browseFiles: string;
            noComponentsSetInGrid: string;
            sortAscending: string;
            sortDescending: string;
            filter: string;
            clear: string;
            showItemsWithValue: string;
            gridItemsPerPage: string;
            gridAllItems: string;
            recordsSelectedOnPage: string;
            recordsSelectedInTable: string;
            gridSelectAll: string;
            itemsInTable: string;
            clearSelection: string;
            editGridRow: string;
            deleteGridRow: string;
            selected: string;
            actions: string;
        };
    };
};
export default _default;
